Subject: Re: [BEHAVE] FW: [Sip] Registration for SIPit 23 is open

From: Philip Matthews <[email-masked]>
Date: Thu, 3 Jul 2008 14:31:05 -0400

On Fri, 27-Jun-08, at 22:09 , Dan Wing wrote:
>
>
>> -----Original Message-----
>> From: [email-masked] [mailto:[email-masked]] On Behalf
>> Of Benny Prijono
>> Sent: Friday, June 27, 2008 5:58 PM
>> To: Dan Wing
>> Cc: [email-masked]; Robert Sparks
>> Subject: Re: [BEHAVE] FW: [Sip] Registration for SIPit 23 is open
>>
>> On Fri, Jun 27, 2008 at 8:48 PM, Dan Wing <[email-masked]> wrote:
>>> I am going to ask Robert to include the following questions
>> in SIPit 22:
>>>
>>> * Support ice?
>>> * Support ice-19?
>>> * Support rfc3489bis's FINGERPRINT?
>>>
>>
>> Isn't "support for the latest rfc3489bis" enough to indicate that the
>> implementation should support FINGERPRINT too?
>
> FINGERPRINT was one of the more significant additions between RFC3489
> and rfc3489bis.  I figured this would get a more accurate answer.

There are a lot of significant changes between 3489 and the current  
version of 3489bis. In addition to the ones mentioned, there is:
- Shortened transaction id
- STUN is no longer used alone, but is now a part of ICE.

So I suggest asking for a support for a reasonably recent version of  
3489bis.
>
>
>>> Are there more that BEHAVE is interested in knowing?
>>
>> TURN server/client (if it's not already there), ICE-TCP, TURN-TCP (if
>> these get mature enough by that time)?
>
> Worth asking.  Turn-08, right?

TURN-TCP and ICE-TCP are "on hold" right now, so I won't do anything  
to suggest that these documents reflect current thinking.

>
>
>> And although this probably is not strictly BEHAVE, I'd be interested
>> to know what other NAT traversal methods endpoints support, e.g.  
>> uPnP,
>> SOCKS, and whatnot.
>
> Good point.  Throw NAT-PMP in, too.
>
> -d
>
> _______________________________________________
> Behave mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/behave
>

_______________________________________________
Behave mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/behave